> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md).

# Data Models details

These references account for product model, variant group model, variant model and category model.

## Publishing

#### Publishing

Specifies the required attributes that must be filled before publishing a product to Shopify.

#### Enable variant groups

Specifies the attribute that will determine whether the variant groups will be deployed as individual products. When set, the product itself will not be deployed.

***

## General

#### Title

The attribute that holds the title of the product.

#### Description

The attribute that holds the description of the product.

#### Image(s)

The attribute that holds the image(s) of the product.

#### Alt tag configuration

Specifies the alt tag setup for the images. Can be set to an attribute, or be handled manually in Shopify.

#### Custom sort order

Sets the attribute that will determine the sort order.

#### Include single variant

Sets the attribute that will determine if a single variant with options should be rendered in Shopify.

#### Handle override

Specifies the attribute that will override the Shopify handle.

#### Enable child sort order

Determines if product sort order should be transfered to the Shopify collection.

#### Allow custom product sort order

Determines whether product custom sort order is allowed or not.

***

## Pricing

#### Taxable

Defines if the product is taxable in Shopify.

***

## Organization

#### Vendor

Used to specify the vendor of the product.

#### Product type

Used to define the nature of the product for internal organization and smart collections.

***

## Product status

#### Status

Sets the attribute that will determine the status of the product. If not set, the status can be handled manually in Shopify.

#### Published scope

Sets the attribute that will determine the published scope in Shopify. If not set, the published scope can be handled manually in Shopify.

***

## Shipping

#### Weight

The attribute that holds the weight value of the product.

#### Weight unit

The attribute defining the unit of the weight.

#### Requires shipping

The attribute that will determines if shipping is required. Can also be handled manually inside Shopify.

#### Harmonized system code

The attribute that holds the harmonized system code for the product.

#### Country of origin

The attribute that displays the product's country of origin.

***

## Inventory

#### SKU

The attribute holding the SKU for the product.

#### Barcode

The attribute holding the barcode (EAN) for the product.

#### Inventory policy

The attribute holding information about inventory policy. Is automatically handled by Shopify.

***

## Online store

#### Theme template

Sets the attribute that will determine what theme will be used to display your products.

***

## SEO

#### SEO title

Replaces the default title with the specific attribute value.

#### SEO description

Replaces the default description with the specific attribute value.

***

## Product metafields

#### Metafields

Specifies the attributes that are mapped to meta fields.

| Field              | Description                                                                        |
| ------------------ | ---------------------------------------------------------------------------------- |
| Attribute          | The attribute that will be mapped to the metafield.                                |
| Data type          | The datatype Shopify expects for the given attribute.                              |
| Override namespace | <p>The namespace the metafield will be using.<br><strong>Default:</strong> PIM</p> |
| Override key       | <p>The key the metafield will be using.<br><strong>Default:</strong> Alias</p>     |

#### Specification attribute scopes

Specifies the attribute scope to use for specification attributes.

***

## Product tags

#### Tag setup

| Field      | Description                                                                                                                                                  |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Prefix     | <p>The prefix will be placed before the value of the attributes selected. </p><p>To include name of attribute you can specifiy <em>\[AttributeName]</em></p> |
| Attributes | The attribute that will be included in the tag.                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
